Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class MessagePartInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.MessagePartInfo

    public final class MessagePartInfo

extends AbstractPropertiesHolder

Field Summary
`static java.lang.String` | `KEY_SKIPPED`

Constructor Summary
`MessagePartInfo(javax.xml.namespace.QName n, AbstractMessageContainer info)`

Method Summary
`javax.xml.namespace.QName` | `getConcreteName()`
`javax.xml.namespace.QName` | `getElementQName()`
`AbstractMessageContainer` | `getMessageInfo()`
`javax.xml.namespace.QName` | `getName()`
`java.lang.Class<?>` | `getTypeClass()`
`javax.xml.namespace.QName` | `getTypeQName()`
`org.apache.ws.commons.schema.XmlSchemaAnnotated` | `getXmlSchema()`
`boolean` | `isElement()`
`void` | `setElement(boolean b)`
`void` | `setElementQName(javax.xml.namespace.QName qn)`
`void` | `setName(javax.xml.namespace.QName n)`
`void` | `setTypeClass(java.lang.Class<?> typeClass)`
`void` | `setTypeQName(javax.xml.namespace.QName qn)`
`void` | `setXmlSchema(org.apache.ws.commons.schema.XmlSchemaAnnotated xmlSchema)`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensor, getExtensor, getExtensors, getExtensors, getProperty, getProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_SKIPPED

    public static final java.lang.String KEY_SKIPPED

See Also:
  Constant Field Values

Constructor Detail

### MessagePartInfo

    public MessagePartInfo(javax.xml.namespace.QName n,
                           AbstractMessageContainer info)

Method Detail

### getName

    public javax.xml.namespace.QName getName()

  Returns:
    Returns the name.

### setName

    public void setName(javax.xml.namespace.QName n)

  Parameters:
    `name` - The name to set.

### getConcreteName

    public javax.xml.namespace.QName getConcreteName()

### isElement

    public boolean isElement()

### setElement

    public void setElement(boolean b)

### getElementQName

    public javax.xml.namespace.QName getElementQName()

### getTypeQName

    public javax.xml.namespace.QName getTypeQName()

### setTypeQName

    public void setTypeQName(javax.xml.namespace.QName qn)

### setElementQName

    public void setElementQName(javax.xml.namespace.QName qn)

### getMessageInfo

    public AbstractMessageContainer getMessageInfo()

### getXmlSchema

    public org.apache.ws.commons.schema.XmlSchemaAnnotated getXmlSchema()

### setXmlSchema

    public void setXmlSchema(org.apache.ws.commons.schema.XmlSchemaAnnotated xmlSchema)

### getTypeClass

    public java.lang.Class<?> getTypeClass()

### setTypeClass

    public void setTypeClass(java.lang.Class<?> typeClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

-